Materialiser
Keywords: uk.ac.bbk.dcs.automed.xml.materialisation.Materialiser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.materialisation
Class Materialiser

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.materialisation.Materialiser

Direct Known Subclasses:
  DOMMaterialiser

    public abstract class Materialiser

extends java.lang.Object

Class Task Description

Author:
  Lucas Zamboulis

Field Summary
`protected Schema[]` | `_dataSourceSchemas`
`protected java.io.File` | `_file`
`protected Schema` | `_globalSchema`
`protected java.util.logging.Logger` | `_logger`
`protected QueryProcessor` | `_qp`
`protected QueryProcessorConfiguration` | `_qpc`
`protected org.w3c.dom.Document` | `_schemaUIDDoc`
`protected boolean` | `_useGenericRoot`
`static java.lang.String` | `genericRoot`

Constructor Summary
`protected` | `Materialiser(Schema src, Schema[] tgts, java.lang.String absolutePath, java.lang.String name, QueryProcessorConfiguration qpc)`

Method Summary
`protected java.util.ArrayList` | `getAttributeExtent(java.lang.String elementSchemaUID, java.lang.String attributeName)`
`protected java.util.ArrayList` | `getElementExtent(java.lang.String uid)`
`boolean` | `getGenericRoot(boolean value)`
`java.io.File` | `getMaterialisedFile()`
`protected java.util.ArrayList` | `getNestListExtent(java.lang.String parentSchemaUID, java.lang.String childSchemaUID)`
`protected java.util.ArrayList` | `getTextExtent(java.lang.String uid)`
`protected java.util.ArrayList` | `getTextExtent(java.lang.String uid, java.lang.String order)`
`abstract void` | `materialiseSchema()`
`protected java.util.ArrayList` | `performQuery(java.lang.String query)`
`void` | `setGenericRoot(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _logger

    protected java.util.logging.Logger _logger

### _file

    protected java.io.File _file

### _globalSchema

    protected Schema _globalSchema

### _dataSourceSchemas

    protected Schema[] _dataSourceSchemas

### _qp

    protected QueryProcessor _qp

### _qpc

    protected QueryProcessorConfiguration _qpc

### _schemaUIDDoc

    protected org.w3c.dom.Document _schemaUIDDoc

### _useGenericRoot

    protected boolean _useGenericRoot

### genericRoot

    public static final java.lang.String genericRoot

See Also:
  Constant Field Values

Constructor Detail

### Materialiser

    protected Materialiser(Schema src,
                           Schema[] tgts,
                           java.lang.String absolutePath,
                           java.lang.String name,
                           QueryProcessorConfiguration qpc)

Parameters:
  `src` - the schema that is to be materialised
  `tgts` - the schemas providing the data for the materialisation
  `absolutePath` - the absolute path where the schema is to be materialised
  `name` - the name of the file that is to be materialised

Method Detail

### materialiseSchema

    public abstract void materialiseSchema()
                                    throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### getMaterialisedFile

    public java.io.File getMaterialisedFile()

### getGenericRoot

    public boolean getGenericRoot(boolean value)

### setGenericRoot

    public void setGenericRoot(boolean value)

### getTextExtent

    protected java.util.ArrayList getTextExtent(java.lang.String uid)
                                         throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### getTextExtent

    protected java.util.ArrayList getTextExtent(java.lang.String uid,
                                                java.lang.String order)
                                         throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### getElementExtent

    protected java.util.ArrayList getElementExtent(java.lang.String uid)
                                            throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### getNestListExtent

    protected java.util.ArrayList getNestListExtent(java.lang.String parentSchemaUID,
                                                    java.lang.String childSchemaUID)
                                             throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### getAttributeExtent

    protected java.util.ArrayList getAttributeExtent(java.lang.String elementSchemaUID,
                                                     java.lang.String attributeName)
                                              throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

### performQuery

    protected java.util.ArrayList performQuery(java.lang.String query)
                                        throws XMLMaterialisationException

  Throws:
    `XMLMaterialisationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD